lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require_relative 'lib/test_gem/version'

Gem::Specification.new do |spec|
  spec.name          = "test_gem_garage"
  spec.version       = TestGem::VERSION
  spec.authors       = ["Michael Somov"]
  spec.email         = ["somov.michail.yur@gmail.com"]

  spec.summary       = 'Test application for RubyGarage.'
  spec.description   = 'Test application for RubyGarage.'
  spec.homepage      = 'https://github.com/maiksimov/test_gem'
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  spec.metadata["homepage_uri"] = spec.homepage

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency 'rubocop'
end
